------------------------------------------------
-- DDL Statements for Table "CZU"."CUSTOMER"
------------------------------------------------
 

CREATE TABLE "CZU"."CUSTOMER"  (
		  "CUSTOMERID" INTEGER NOT NULL , 
		  "FIRSTNAME" VARCHAR(20 OCTETS) NOT NULL , 
		  "SURENAME" VARCHAR(50 OCTETS) NOT NULL , 
		  "STREET" VARCHAR(50 OCTETS) NOT NULL , 
		  "STREETNUMBER" INTEGER NOT NULL , 
		  "CITY" VARCHAR(50 OCTETS) NOT NULL , 
		  "PSC" VARCHAR(6 OCTETS) NOT NULL , 
		  "PHONENUMBER" VARCHAR(9 OCTETS) NOT NULL , 
		  "ACTIVE" INTEGER NOT NULL , 
		  "CUSTORDER" INTEGER NOT NULL , 
		  "STARTDATE" DATE NOT NULL , 
		  "ENDDATE" DATE , 
		  "TARIFID" INTEGER NOT NULL  
		 IN "CZU_DATA_01A" INDEX IN "CZU_INX_01"  
		 ORGANIZE BY ROW; 


-- DDL Statements for Primary Key on Table "CZU"."CUSTOMER"

ALTER TABLE "CZU"."CUSTOMER" 
	ADD CONSTRAINT "CUSTOMERIDPK" PRIMARY KEY
		("CUSTOMERID");
    
ALTER TABLE "CZU"."CUSTOMER"
ADD FOREIGN KEY ("TARIFID") 
REFERENCES "CZU"."TARIF"("TARIFID");

ALTER TABLE "CZU"."CUSTOMER" 
      ADD CONSTRAINT PHONENUM UNIQUE("PHONENUMBER","CUSTORDER")    
