------------------------------------------------
-- DDL Statements for Table "CZU"."TARIF"
------------------------------------------------
 

CREATE TABLE "CZU"."TARIF"  (
		  "TARIFID" INTEGER NOT NULL , 
		  "TARIFNAME" VARCHAR(20 OCTETS) NOT NULL , 
		  "PRICE" DOUBLE NOT NULL , 
		  "LOCALCALL" DOUBLE NOT NULL , 
		  "OUTSIDECALL" DOUBLE NOT NULL , 
		  "MMS" DOUBLE NOT NULL , 
		  "DATALIMIT" INTEGER NOT NULL , 
		  "ROAMINGOUT" DOUBLE NOT NULL , 
		  "ROAMINGIN" DOUBLE NOT NULL , 
		  "SMSROAMING" DOUBLE NOT NULL , 
		  "MMSROAMING" DOUBLE NOT NULL , 
		  "DATAROAMING" DOUBLE NOT NULL , 
		  "FREEMINUTES" INTEGER NOT NULL )   
		 IN "CZU_DATA_01A" INDEX IN "CZU_INX_01"  
		 ORGANIZE BY ROW; 


-- DDL Statements for Primary Key on Table "CZU     "."TARIF"

ALTER TABLE "CZU"."TARIF" 
	ADD PRIMARY KEY
		("TARIFID");
